[
	{
		"attribute": {

		},
		"id": 1,
		"child_id": [
			2
		],
		"tag": "ma-xmlroot",
		"extra_data": [
			"<style>\n  /* http://stackoverflow.com/questions/1720320/how-to-dynamically-create-css-class-in-javascript-and-apply\n  var style = document.createElement('style');\n  style.type = 'text/css';\n  style.innerHTML = '.cssClass { color: #F00; }';\n  document.getElementsByTagName('head')[0].appendChild(style);\n  http://stackoverflow.com/questions/524696/how-to-create-a-style-tag-with-javascript\n  */\n\n  .delivery_address {\n    font-size: 36px;\n    // text-align: center;\n    // vertical-align: middle; // does not work\n  }\n  .number_of_pallets {\n    font-size: 72px;\n    font-weight: bold;\n  }\n  .number_of_pallets_hdr {\n    font-size: 40px;\n  }\n  .number_of_pallets_total {\n    font-size: 30px;\n    font-weight: bold;\n  }\n\n  .default_text, .delivery_address_hdr, .row_hdr, .sales_order_id, .box_hdr {\n    font_name: \"sans-serif\";\n    font_size: 12;\n    fit_text: \"height\";\n  }\n  .default_pict {\n    margin: \"draw.margin(4)\";\n    scaling: \"fit\";\n    horizontal_align: \"center\";\n    vertical_align: \"middle\";\n    stroke_width: 3;\n  },\n  .default_line {\n    stroke_color: \"black\";\n    stroke_width: 1;\n  },\n  .default_rect, .paper_rect: {\n    stroke_color: \"black\";\n    stroke_width: 1;\n  },\n  .delivery_address_hdr, .delivery_address, .sales_order_id_hdr, .dispatch_hdr: {\n    parent: \"default_text\";\n    margin: \"\";\n    margin.left: 2;\n  },\n  .delivery_address: {\n    /*parent: \"delivery_address_hdr\";*/\n    font_size: \"36\";\n    margin.top: \"\";\n    text_wrap: \"word\"\n  },\n  .row_hdr, .row: {\n    /*parent: \"default_text\";*/\n    vertical_align: \"middle\";\n    margin: \"\";\n    margin.left: \"2\";\n  },\n  .row: {\n    /*parent: \"row_hdr\";*/\n    margin.left: \"60\";\n    font_size: \"16\";\n  },\n  .sales_order_id_hdr: {\n    /*parent: \"delivery_address_hdr\"*/\n  },\n  .sales_order_id: {\n    /*parent: \"default_text\";*/\n    font_size: \"50\";\n    font_weight: bold;\n    horizontal_align: \"center\";\n    vertical_align: \"middle\";\n  },\n  .dispatch_hdr: {\n    /*parent: \"delivery_address_hdr\";*/\n  },\n  .dispatch: {\n    parent: \"default_text\";\n    font_size: 42;\n    font_weight: bold;\n    horizontal_align: \"center\";\n    vertical_align: \"middle\";\n  },\n  .paper_rect: {\n    /*parent: \"default_rect\"*/;\n    stroke_color: {\n      \"r\": 0;\n      \"b\": 0.9;\n      \"g\": 0;\n      \"a\": 0.9;\n    }\n  },\n  .box2, .box1: {\n    /*parent: \"box_hdr\";*/\n    font_size: 28;\n  },\n  .box1: {\n    /*parent: \"box2\";*/\n    font_size: 40;\n    font_weight: bold;\n  }\n  .font-size-36px {\n    font-size: 36px;\n    font-weight: bold;\n    margin-top: 0.75em;\n  }\n\n</style>\n"
		]
	},
	{
		"attribute": {
			"height": "1/1",
			"class": [
				"ma-border-all"
			]
		},
		"parent_id": [
			1
		],
		"tag": "ma-row",
		"id": 2,
		"child_id": [
			3,
			14
		]
	},
	{
		"attribute": {
			"height": "6/10",
			"class": [
				"ma-border-bottom"
			]
		},
		"parent_id": [
			2
		],
		"tag": "ma-row",
		"id": 3,
		"child_id": [
			4,
			7
		]
	},
	{
		"attribute": {
			"width": "7/10",
			"class": [
				"ma-border-right"
			]
		},
		"parent_id": [
			3
		],
		"tag": "ma-col",
		"id": 4,
		"child_id": [
			5,
			6
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_delivery_address",
			"class": [
				"ma-nospace"
			]
		},
		"parent_id": [
			4
		],
		"id": 5,
		"value": "Toimitusosoite",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"ng-model": "rec.dn_delivery_address",
			"class": [
				"delivery_address"
			],
			"rows": "4"
		},
		"parent_id": [
			4
		],
		"id": 6,
		"tag": "ma-textarea"
	},
	{
		"attribute": {
			"width": "3/10"
		},
		"parent_id": [
			3
		],
		"tag": "ma-col",
		"id": 7,
		"child_id": [
			8,
			11
		]
	},
	{
		"attribute": {
			"height": "1/2",
			"class": [
				"ma-border-bottom"
			]
		},
		"parent_id": [
			7
		],
		"tag": "ma-row",
		"id": 8,
		"child_id": [
			9,
			10
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_dispatch_note",
			"class": [
				"ma-nospace"
			]
		},
		"parent_id": [
			8
		],
		"id": 9,
		"value": "Til. Nro",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_dispatch_note",
			"class": [
				"delivery_address",
				"ma-center-h"
			]
		},
		"parent_id": [
			8
		],
		"id": 10,
		"value": "110283",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"height": "1/2"
		},
		"parent_id": [
			7
		],
		"tag": "ma-row",
		"id": 11,
		"child_id": [
			12,
			13
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_dispatch_note",
			"class": [
				"ma-nospace"
			]
		},
		"parent_id": [
			11
		],
		"id": 12,
		"value": "Lähetyslista",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"ng-model": "rec.dn_dispatch_note",
			"class": [
				"delivery_address",
				"ma-center-h"
			]
		},
		"parent_id": [
			11
		],
		"id": 13,
		"value": "060026",
		"tag": "ma-input"
	},
	{
		"attribute": {
			"height": "4/10"
		},
		"parent_id": [
			2
		],
		"tag": "ma-row",
		"id": 14,
		"child_id": [
			15,
			36
		]
	},
	{
		"attribute": {
			"width": "8/10",
			"class": [
				"ma-border-right"
			]
		},
		"parent_id": [
			14
		],
		"tag": "ma-col",
		"id": 15,
		"child_id": [
			16,
			21,
			26,
			31
		]
	},
	{
		"attribute": {
			"height": "2.5/10",
			"class": [
				"ma-border-bottom"
			]
		},
		"parent_id": [
			15
		],
		"tag": "ma-row",
		"id": 16,
		"child_id": [
			17,
			19
		]
	},
	{
		"attribute": {
			"width": "1/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			16
		],
		"tag": "ma-col",
		"id": 17,
		"child_id": [
			18
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark"
		},
		"parent_id": [
			17
		],
		"id": 18,
		"value": "Mark",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"width": "5/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			16
		],
		"tag": "ma-col",
		"id": 19,
		"child_id": [
			20
		]
	},
	{
		"attribute": {
			"ng-model": "rec.dn_mark"
		},
		"parent_id": [
			19
		],
		"id": 20,
		"tag": "ma-input"
	},
	{
		"attribute": {
			"height": "2.5/10",
			"class": [
				"ma-border-bottom"
			]
		},
		"parent_id": [
			15
		],
		"tag": "ma-row",
		"id": 21,
		"child_id": [
			22,
			24
		]
	},
	{
		"attribute": {
			"width": "1/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			21
		],
		"tag": "ma-col",
		"id": 22,
		"child_id": [
			23
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark"
		},
		"parent_id": [
			22
		],
		"id": 23,
		"value": "Til. Nro:",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"width": "5/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			21
		],
		"tag": "ma-col",
		"id": 24,
		"child_id": [
			25
		]
	},
	{
		"attribute": {
			"ng-model": "rec.dn_mark"
		},
		"parent_id": [
			24
		],
		"id": 25,
		"value": "as. til nro 123321",
		"tag": "ma-input"
	},
	{
		"attribute": {
			"height": "2.5/10",
			"class": [
				"ma-border-bottom"
			]
		},
		"parent_id": [
			15
		],
		"tag": "ma-row",
		"id": 26,
		"child_id": [
			27,
			29
		]
	},
	{
		"attribute": {
			"width": "1/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			26
		],
		"tag": "ma-col",
		"id": 27,
		"child_id": [
			28
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark"
		},
		"parent_id": [
			27
		],
		"id": 28,
		"value": "Viite:",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"width": "5/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			26
		],
		"tag": "ma-col",
		"id": 29,
		"child_id": [
			30
		]
	},
	{
		"attribute": {
			"ng-model": "rec.dn_mark"
		},
		"parent_id": [
			29
		],
		"id": 30,
		"value": "viitteenne KK",
		"tag": "ma-input"
	},
	{
		"attribute": {
			"height": "2.5/10"
		},
		"parent_id": [
			15
		],
		"tag": "ma-row",
		"id": 31,
		"child_id": [
			32,
			34
		]
	},
	{
		"attribute": {
			"width": "1/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			31
		],
		"tag": "ma-col",
		"id": 32,
		"child_id": [
			33
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark"
		},
		"parent_id": [
			32
		],
		"id": 33,
		"value": "Tilaaja:",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"width": "5/6",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			31
		],
		"tag": "ma-col",
		"id": 34,
		"child_id": [
			35
		]
	},
	{
		"attribute": {
			"ng-model": "rec.dn_mark"
		},
		"parent_id": [
			34
		],
		"id": 35,
		"value": "ABC Moottori Oyj",
		"tag": "ma-input"
	},
	{
		"attribute": {
			"width": "2/10"
		},
		"parent_id": [
			14
		],
		"tag": "ma-col",
		"id": 36,
		"child_id": [
			37,
			44
		]
	},
	{
		"attribute": {
			"height": "6/10",
			"class": [
				"ma-border-bottom"
			]
		},
		"parent_id": [
			36
		],
		"tag": "ma-row",
		"id": 37,
		"child_id": [
			38,
			40,
			42
		]
	},
	{
		"attribute": {
			"width": "4/7",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			37
		],
		"tag": "ma-col",
		"id": 38,
		"child_id": [
			39
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark",
			"class": [
				"number_of_pallets",
				"ma-center-h"
			]
		},
		"parent_id": [
			38
		],
		"id": 39,
		"value": "12",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"width": "1/7",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			37
		],
		"tag": "ma-col",
		"id": 40,
		"child_id": [
			41
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark",
			"class": [
				"number_of_pallets_hdr",
				"ma-center-h"
			]
		},
		"parent_id": [
			40
		],
		"id": 41,
		"value": "/",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"width": "2/7",
			"class": [
				"ma-center-v"
			]
		},
		"parent_id": [
			37
		],
		"tag": "ma-col",
		"id": 42,
		"child_id": [
			43
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark",
			"class": [
				"number_of_pallets_total",
				"ma-center-h"
			]
		},
		"parent_id": [
			42
		],
		"id": 43,
		"value": "18",
		"tag": "ma-label"
	},
	{
		"attribute": {
			"height": "4/10",
			"class": [
				"ma-center-h",
				"ma-center-v"
			]
		},
		"parent_id": [
			36
		],
		"tag": "ma-row",
		"id": 44,
		"child_id": [
			45
		]
	},
	{
		"attribute": {
			"ng-model": "hdr.dn_mark"
		},
		"parent_id": [
			44
		],
		"id": 45,
		"value": "Ferrum",
		"tag": "ma-label"
	}
]